'use client'

import { useEffect, useState } from 'react'

interface bsetJsonObject {
  name:               string,
  sanitized_name:     string,
  set_codes:          string[],
  icons:              string[]
}


export default function Home() {
  const [BsetList, setBsetList] = useState([])

  useEffect(() => {
    fetch('http://localhost:8072/misc/bsets.json').then((res) => {
      if(res.status == 200) {
        res.json().then((data) => {
          setBsetList(data)
        })
      }
    })
  }, []) 
  return (
    <div className="flex flex-col items-center mt-32 gap-4">
        { BsetList.map((bset: bsetJsonObject) => (
          <a key={bset.name} className="flex flex-row gap-4" href={"/bset/" + bset.sanitized_name}>
            <div className="flex flex-row gap-1">
              { bset.icons.map((icon) => (
                <img key={icon} src={icon} loading="lazy" className="w-4 h-4"/>
              ))}
            </div>
            <span>{bset.name}</span>
          </a>
        ))}
    </div>
  );
}
